﻿#region Copyright Syncfusion Inc. 2001-2017.
// Copyright Syncfusion Inc. 2001-2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DDLdataRefresh.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            List<ResourceFieldsPat> data = new List<ResourceFieldsPat>();
            data.Add(new ResourceFieldsPat { text = "item1", value = "1" });
            data.Add(new ResourceFieldsPat { text = "item2", value = "2" });
            data.Add(new ResourceFieldsPat { text = "item3", value = "3" });
            data.Add(new ResourceFieldsPat { text = "item4", value = "4" });
            ViewBag.datasource = data;
            return View();
        }
        public JsonResult CreatePatient()
        {
            List<ResourceFieldsPat> data = new List<ResourceFieldsPat>();
            data.Add( new ResourceFieldsPat { text = "new item 1", value = "5" });
            data.Add(new ResourceFieldsPat { text = "new item 2", value = "6" });
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }

    public class ResourceFieldsPat
    {
        public ResourceFieldsPat()
        {
        }

        public string text { get; internal set; }
        public string value { get; internal set; }
    }
}